package cn.com.qmth.examcloud.service.core.entity;

import cn.com.qmth.examcloud.service.core.enums.ExamType;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;

/**
 * 
 * @Description: 考试
 * @author ting.yin
 * @date 2017年1月5日
 */
@Entity
@Table(name = "ecs_exam")
public class Exam implements Serializable {

	private static final long serialVersionUID = 4009839764353162256L;

	@Id
	@GeneratedValue
	private long id;

	@NotNull
	@Temporal(value = TemporalType.DATE)
	private Date beginTime;

	@NotNull
	@Temporal(value = TemporalType.DATE)
	private Date endTime;

	@NotNull
	private String name;

	@NotNull
	private ExamType examType;

	@NotNull
	private Long duration;

	@NotNull
	private Long freezeTime;

	@NotNull
	private String status;

	private String remark;

	@Temporal(value = TemporalType.DATE)
	private Date createTime;

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Date getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(Date beginTime) {
		this.beginTime = beginTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public ExamType getExamType() {
		return examType;
	}

	public void setExamType(ExamType examType) {
		this.examType = examType;
	}

	public Long getDuration() {
		return duration;
	}

	public void setDuration(Long duration) {
		this.duration = duration;
	}

	public Long getFreezeTime() {
		return freezeTime;
	}

	public void setFreezeTime(Long freezeTime) {
		this.freezeTime = freezeTime;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Exam() {
	}
}
