package cn.com.qmth.examcloud.service.core.entity;

import java.io.Serializable;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.service.core.enums.ExamType;

/**
 * 
 * @Description: 考生
 * @author ting.yin
 * @date 2017年1月5日
 */
@Entity
@Table(name = "ecs_exam_student")
public class ExamStudent implements Serializable {

	private static final long serialVersionUID = 757531976286006550L;

	@Id
	@GeneratedValue
	private long id;

	@NotNull
	private String name;

	@ManyToOne
	@JoinColumn(name = "examId")
	private Exam exam;

	private String studentCode;

	private String identityNumber;

	private String examNumber;

	private String courseCode;

	private String courseName;

	private String degree;

	private String major;

	private String learnCenter;

	private String status;

	private String photoPath;

	private String remark;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Exam getExam() {
		return exam;
	}

	public void setExam(Exam exam) {
		this.exam = exam;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getExamNumber() {
		return examNumber;
	}

	public void setExamNumber(String examNumber) {
		this.examNumber = examNumber;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getDegree() {
		return degree;
	}

	public void setDegree(String degree) {
		this.degree = degree;
	}

	public String getMajor() {
		return major;
	}

	public void setMajor(String major) {
		this.major = major;
	}

	public String getLearnCenter() {
		return learnCenter;
	}

	public void setLearnCenter(String learnCenter) {
		this.learnCenter = learnCenter;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getPhotoPath() {
		return photoPath;
	}

	public void setPhotoPath(String photoPath) {
		this.photoPath = photoPath;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public ExamStudent() {
	}
}
